Skip to main content
PUT
/
networks
/
pixels
/
{pixelId}
Update Partner Postback
curl --request PUT \
  --url https://api.eflow.team/v1/networks/pixels/{pixelId} \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "network_offer_id": 123,
  "pixel_status": "active",
  "pixel_type": "postback",
  "pixel_code": "<string>",
  "fire_on": "conversion",
  "network_affiliate_id": 123,
  "fire_on_event_id": 123
}
'
{
  "network_offer_pixel_id": 123,
  "network_id": 123,
  "network_offer_id": 123,
  "network_affiliate_id": 123,
  "pixel_status": "active",
  "pixel_type": "postback",
  "pixel_code": "<string>",
  "fire_on": "conversion",
  "fire_on_event_id": 123,
  "time_created": 123,
  "time_saved": 123,
  "relationship": {
    "offer": {},
    "affiliate": {}
  }
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

pixelId
integer
required

The partner postback (pixel) identifier.

Body

application/json
network_offer_id
integer
required

Associated offer ID.

pixel_status
enum<string>
required

Postback status.

Available options:
active,
inactive,
deleted
pixel_type
enum<string>
required

Postback type.

Available options:
postback,
iframe,
image,
javascript
pixel_code
string
required

The postback URL or pixel code.

fire_on
enum<string>
required

When to fire the postback.

Available options:
conversion,
event
network_affiliate_id
integer

Associated affiliate ID (0 for all affiliates).

fire_on_event_id
integer

The event ID to fire on (0 for default conversion).

Response

200 - application/json

OK

network_offer_pixel_id
integer

Unique partner postback (pixel) ID.

network_id
integer

Network ID.

network_offer_id
integer

Associated offer ID.

network_affiliate_id
integer

Associated affiliate ID (0 for all affiliates).

pixel_status
enum<string>

Postback status.

Available options:
active,
inactive,
deleted
pixel_type
enum<string>

Postback type.

Available options:
postback,
iframe,
image,
javascript
pixel_code
string

The postback URL or pixel code.

fire_on
enum<string>

When to fire the postback.

Available options:
conversion,
event
fire_on_event_id
integer

The event ID to fire on (0 for default conversion).

time_created
integer

Unix timestamp of creation.

time_saved
integer

Unix timestamp of last update.

relationship
object